Image 01
profile-image

nobleswagger

Plasma 5 Weather
Air Quality Widget

Plasma 5 Weather 25 comments

Score 63.3%
Feb 01 2019
I thought that email address looked odd... Hit me up at yoloswag6 at protonmail.com - Jan 09 2019
Sent. - Jan 08 2019
Would you be willing to test two versions? - Jan 07 2019
I'll look into this, but I can't promise anything. :) - Jan 07 2019
Oh, nevermind, now I see it - you mean it happens on updating. Thanks for pointing this out, I'll fix it. - Dec 30 2018
What station? - Dec 30 2018
Oh, after you do this. You need to restart the plasmashell or reboot -
killall plasmashell
kstart5 plasmashell
And then put a new widget on the desktop/in the tray. - Dec 29 2018
Your issue is tricky - the station does indeed exist in the WAQI Api (and I should say there can also be discrepancies between their website and the API - which the widget uses). However their search function doesn't return it. I could implement searching by id in addition to keyword - that said the ids are difficult to dig out of the source code if something is broken anyway - so I'm not sure if that would be so helpful anyway.

Meanwhile you can try this workaround:
Open /home/$USER/.local/share/plasma/plasmoids/org.kde.plasma.waqiwidget)/contents/config/main.xml.
Find an entry called "Config Array". On the list, after "stationId", the next entry is "324". Change that to "10786" (without the double quotes).
If you want to change the name that shows in the config menu (other than that it will display properly), change the second entry, too - just be careful - use semicolons instead of commas (they will get converted). Every entry must be separated by commas. - Dec 29 2018
You can do this! Perhaps I should have put that in the description... Simply click on a given parameter in the expandable version. The elements will get resorted and the compact/tray rep will switch to it. - Dec 29 2018
I could probably make 2 versions as well. - Dec 28 2018
Sorry, it looks like at the moment the Widget is not compatible with anything below the Bionic Beaver (18.04). I have an update coming in a few days - I'll see if I can get it down to 16.04 (might not be possible), but I can certainly reduce dependencies to the Zesty Zapus (17.04). Thanks for reporting this! - Dec 28 2018
What distro are you on (+version)? - Dec 19 2018
My mistake - I thought the GUI scaled with resolution, but it turns out it didn't at all. Checking that slipped my mind.
Version 1.1 makes the widget resolution dependent and fixes some scaling problems. - Nov 19 2018
Thanks for the feedback. I'll look into this soon. - Nov 19 2018